import { Fragment as _Fragment, jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useJupyter } from './../../jupyter/JupyterContext';
import Lumino from '../../jupyter/lumino/Lumino';
import ConsoleAdapter from './ConsoleAdapter';
import './Console.css';
export const Console = () => {
    const { lite, serviceManager } = useJupyter();
    if (!serviceManager) {
        return _jsx(_Fragment, { children: "Loading..." }, void 0);
    }
    const consoleAdapter = new ConsoleAdapter(lite, serviceManager);
    return _jsx(Lumino, { children: consoleAdapter.panel }, void 0);
};
export default Console;
//# sourceMappingURL=Console.js.map