import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useState } from "react";
import { createRoot } from 'react-dom/client';
import { Box, Button, ButtonGroup } from '@primer/react';
import Jupyter from '../jupyter/Jupyter';
import Notebook from '../components/notebook/Notebook';
import { selectNotebookModel } from '../components/notebook/NotebookState';
import CellSidebarDefault from '../components/notebook/cell/sidebar/CellSidebarDefault';
import notebookExample1 from './NotebookExample1.ipynb.json';
import notebookExample2 from './NotebookExample2.ipynb.json';
import "./../../style/index.css";
const NOTEBOOK_UID = 'notebook-model-id';
const NotebookModelChange = () => {
    var _a;
    const [model, setModel] = useState(notebookExample1);
    const notebookModel = selectNotebookModel(NOTEBOOK_UID);
    console.log('Current notebook model', notebookModel === null || notebookModel === void 0 ? void 0 : notebookModel.model, (_a = notebookModel === null || notebookModel === void 0 ? void 0 : notebookModel.model) === null || _a === void 0 ? void 0 : _a.toJSON());
    const changeModel = () => {
        setModel(notebookExample2);
    };
    return (_jsxs(_Fragment, { children: [_jsx(Box, Object.assign({ display: "flex" }, { children: _jsx(ButtonGroup, { children: _jsx(Button, Object.assign({ variant: "default", size: "small", onClick: changeModel }, { children: "Change Model" }), void 0) }, void 0) }), void 0),
            _jsx(Notebook, { uid: NOTEBOOK_UID, model: model, CellSidebar: CellSidebarDefault, height: "700px" }, void 0)] }, void 0));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Jupyter, Object.assign({ lite: false, terminals: true }, { children: _jsx(NotebookModelChange, {}, void 0) }), void 0));
//# sourceMappingURL=JupyterExampleModel.js.map